#
# Spec file for IBM's TSS for the TPM 2.0
#
Name:		tss2
Version:	713
Release:	3%{?dist}
Summary:	IBM's TCG Software Stack (TSS) for TPM 2.0 and related utilities

Group:		Applications/System	
License:	BSD
URL:		http://sourceforge.net/projects/ibmtpm20tss/
Source0:	http://sourceforge.net/projects/ibmtpm20tss/files/ibmtss%{version}.tar

BuildArch:	x86_64 ppc64le armv7hl i686
BuildRequires:	openssl-devel
Requires:	openssl

%description
TSS2 is a user space Trusted Computing Group's Software Stack (TSS) for
TPM 2.0.  It implements the functionality equivalent to the TCG TSS
working group's ESAPI, SAPI, and TCTI layers (and perhaps more) but with
a hopefully far simpler interface.

It comes with about 80 "TPM tools" that can be used for rapid prototyping,
education and debugging. 

%package devel
Summary:	Development libraries and headers for IBM's TSS 2.0
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Development libraries and headers for IBM's TSS 2.0. You will need this in
order to build TSS 2.0 applications.

%prep
%setup -q -c %{name}-%{version}

%build
pushd utils
make -f makefile.fedora %{?_smp_mflags}
popd

%install
# Prefix for namespacing
BIN_PREFIX=tss
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_libdir}
mkdir -p %{buildroot}/%{_includedir}/%{name}/
pushd utils
# Pick out executables and copy with namespacing
for f in *; do
	if [[ -x $f && -f $f && ! $f =~ .*\..* ]]; then
		cp -p $f %{buildroot}/%{_bindir}/${BIN_PREFIX}$f
	fi;
done
cp -p *.so.0.1 %{buildroot}/%{_libdir}
cp -p %{name}/*.h %{buildroot}/%{_includedir}/%{name}/
popd

# Make symbolic links to the shared lib
pushd %{buildroot}/%{_libdir}
rm -f libtss.so.0
ln -sf libtss.so.0.1 libtss.so.0
rm -f libtss.so
ln -sf libtss.so.0 libtss.so
popd

%post -p /sbin/ldconfig 
%postun -p /sbin/ldconfig

%files
%license LICENSE
%{_bindir}/tss*
%{_libdir}/libtss.so.0
%{_libdir}/libtss.so.0.*

%files devel
%defattr(0644,root,root,-)
%{_includedir}/%{name}
%attr(0755,root,root) %{_libdir}/*.so
%doc ibmtss.doc

%changelog
* Wed Aug 17 2016 Hon Ching(Vicky) Lo <lo1@us.ibm.com> - 713-3
- modified supported arch to ppc64le

* Sat Aug 13 2016 Hon Ching(Vicky) Lo <lo1@us.ibm.com> - 713-2
- Minor spec fixes 

* Tue Aug 09 2016 Hon Ching(Vicky) Lo <lo1@us.ibm.com> - 713-1
- Updated for initial submission 

* Fri Mar 20 2015 George Wilson <gcwilson@us.ibm.com>
- Initial implementation
